<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionHesco Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d7/ded/a03745.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">ExpansionHesco Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><br  />
  
 <a href="../../d7/ded/a03745.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for ExpansionHesco:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d7/ded/a03745.png" usemap="#ExpansionHesco_map" alt=""/>
  <map id="ExpansionHesco_map" name="ExpansionHesco_map">
<area href="../../d9/da3/a03673.html" title="This class handle base class of expansion basebuilding" alt="ExpansionBaseBuilding" shape="rect" coords="0,0,143,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a38bcb79580a1f35988daea4e36951cf7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/ded/a03745.html#a38bcb79580a1f35988daea4e36951cf7">ExpansionHesco</a> ()</td></tr>
<tr class="separator:a38bcb79580a1f35988daea4e36951cf7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98ab5debf2507e4deea864c8a08754a2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/ded/a03745.html#a98ab5debf2507e4deea864c8a08754a2">~ExpansionHesco</a> ()</td></tr>
<tr class="separator:a98ab5debf2507e4deea864c8a08754a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a658d168a7fbc5d3b57b7ed0c077ed53f"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/ded/a03745.html#a658d168a7fbc5d3b57b7ed0c077ed53f">CanPutIntoHands</a> (EntityAI parent)</td></tr>
<tr class="separator:a658d168a7fbc5d3b57b7ed0c077ed53f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae0d792c599b8d603398464cf7a3af51c"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/ded/a03745.html#ae0d792c599b8d603398464cf7a3af51c">CanPutInCargo</a> (EntityAI parent)</td></tr>
<tr class="separator:ae0d792c599b8d603398464cf7a3af51c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa5c3fc881a8418ddd2eec86c27409231"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/ded/a03745.html#aa5c3fc881a8418ddd2eec86c27409231">CanObstruct</a> ()</td></tr>
<tr class="separator:aa5c3fc881a8418ddd2eec86c27409231"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace838725316d4ea9f0971b920898c7c5"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/ded/a03745.html#ace838725316d4ea9f0971b920898c7c5">GetConstructionKitType</a> ()</td></tr>
<tr class="separator:ace838725316d4ea9f0971b920898c7c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d776f68936274436628ddbd571ab489"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/ded/a03745.html#a4d776f68936274436628ddbd571ab489">CanBeDamaged</a> ()</td></tr>
<tr class="separator:a4d776f68936274436628ddbd571ab489"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af9ef122b454819aa4bf0238de5355d23"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/ded/a03745.html#af9ef122b454819aa4bf0238de5355d23">SetPartsAfterStoreLoad</a> ()</td></tr>
<tr class="separator:af9ef122b454819aa4bf0238de5355d23"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><br  />
 </p>
<p ><a class="el" href="../../d6/de1/a00356.html">ExpansionHesco.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../d6/de1/a00356_source.html#l00016">16</a> of file <a class="el" href="../../d6/de1/a00356_source.html">expansionhesco.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a38bcb79580a1f35988daea4e36951cf7" name="a38bcb79580a1f35988daea4e36951cf7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a38bcb79580a1f35988daea4e36951cf7">&#9670;&#160;</a></span>ExpansionHesco()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionHesco::ExpansionHesco </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/de1/a00356_source.html#l00021">21</a> of file <a class="el" href="../../d6/de1/a00356_source.html">expansionhesco.c</a>.</p>

</div>
</div>
<a id="a98ab5debf2507e4deea864c8a08754a2" name="a98ab5debf2507e4deea864c8a08754a2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a98ab5debf2507e4deea864c8a08754a2">&#9670;&#160;</a></span>~ExpansionHesco()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionHesco::~ExpansionHesco </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/de1/a00356_source.html#l00028">28</a> of file <a class="el" href="../../d6/de1/a00356_source.html">expansionhesco.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a4d776f68936274436628ddbd571ab489" name="a4d776f68936274436628ddbd571ab489"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4d776f68936274436628ddbd571ab489">&#9670;&#160;</a></span>CanBeDamaged()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionHesco::CanBeDamaged </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/de1/a00356_source.html#l00064">64</a> of file <a class="el" href="../../d6/de1/a00356_source.html">expansionhesco.c</a>.</p>

</div>
</div>
<a id="aa5c3fc881a8418ddd2eec86c27409231" name="aa5c3fc881a8418ddd2eec86c27409231"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa5c3fc881a8418ddd2eec86c27409231">&#9670;&#160;</a></span>CanObstruct()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionHesco::CanObstruct </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/de1/a00356_source.html#l00048">48</a> of file <a class="el" href="../../d6/de1/a00356_source.html">expansionhesco.c</a>.</p>

</div>
</div>
<a id="ae0d792c599b8d603398464cf7a3af51c" name="ae0d792c599b8d603398464cf7a3af51c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae0d792c599b8d603398464cf7a3af51c">&#9670;&#160;</a></span>CanPutInCargo()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionHesco::CanPutInCargo </td>
          <td>(</td>
          <td class="paramtype">EntityAI&#160;</td>
          <td class="paramname"><em>parent</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/de1/a00356_source.html#l00043">43</a> of file <a class="el" href="../../d6/de1/a00356_source.html">expansionhesco.c</a>.</p>

</div>
</div>
<a id="a658d168a7fbc5d3b57b7ed0c077ed53f" name="a658d168a7fbc5d3b57b7ed0c077ed53f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a658d168a7fbc5d3b57b7ed0c077ed53f">&#9670;&#160;</a></span>CanPutIntoHands()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionHesco::CanPutIntoHands </td>
          <td>(</td>
          <td class="paramtype">EntityAI&#160;</td>
          <td class="paramname"><em>parent</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/de1/a00356_source.html#l00035">35</a> of file <a class="el" href="../../d6/de1/a00356_source.html">expansionhesco.c</a>.</p>

</div>
</div>
<a id="ace838725316d4ea9f0971b920898c7c5" name="ace838725316d4ea9f0971b920898c7c5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ace838725316d4ea9f0971b920898c7c5">&#9670;&#160;</a></span>GetConstructionKitType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionHesco::GetConstructionKitType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/de1/a00356_source.html#l00056">56</a> of file <a class="el" href="../../d6/de1/a00356_source.html">expansionhesco.c</a>.</p>

</div>
</div>
<a id="af9ef122b454819aa4bf0238de5355d23" name="af9ef122b454819aa4bf0238de5355d23"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af9ef122b454819aa4bf0238de5355d23">&#9670;&#160;</a></span>SetPartsAfterStoreLoad()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionHesco::SetPartsAfterStoreLoad </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/de1/a00356_source.html#l00069">69</a> of file <a class="el" href="../../d6/de1/a00356_source.html">expansionhesco.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/BaseBuilding/Scripts/4_world/dayzexpansion_basebuilding/entities/basebuilding/misc/deployable/<a class="el" href="../../d6/de1/a00356_source.html">expansionhesco.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d7/ded/a03745.html">ExpansionHesco</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
